#
# spec file for package xorg-x11-driver-input
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xorg-x11-driver-input
Version:        7.6_1
Release:        lp151.2.1
Summary:        Compatibility metapackage for X.Org input drivers
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        README.meta
## Requires of packages that we split away from xorg-x11-driver-input
Requires:       xf86-input-evdev
## no longer supported on sle12 (FATE#316785)
Recommends:     xf86-input-joystick
Recommends:     xf86-input-keyboard
Recommends:     xf86-input-mouse
## Most drivers can replaced by xf86-input-libinput today. Only keep
## the ones with lower priority or very specific device matching rules.
%if 0%{?suse_version} >= 1330 || (0%{?is_opensuse} && 0%{?sle_version} >= 120200)
Requires:       xf86-input-libinput
%else
Requires:       xf86-input-synaptics
%endif
## only built on x86/x64
Recommends:     xf86-input-vmmouse
Requires:       xf86-input-void
Requires:       xf86-input-wacom
## End Requires of packages that we split away from xorg-x11-driver-input
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-devel < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
ExcludeArch:    s390 s390x

%description
This package is a compatibility metapackage. It used to contain the
X.Org input drivers.

%prep
%setup -c -T
cp %{SOURCE0} .

%build

%install

%files
%defattr(-,root,root)
%doc README.meta

%changelog
* Sun May 29 2016 eich@suse.com
- No longer require xf86-input-synaptics on systems later than Leap 42.1.
  Instead require xf86-input-libinput.
  People who will need the synaptics driver may install it by hand.
  (boo#981750).
* Fri Jun 13 2014 sndirsch@suse.com
- change Requires for xf86-input-{keyboard,mouse} to a Recommends,
  since these are dropped from sle12 as well (FATE#317709)
* Wed Feb 19 2014 sndirsch@suse.com
- don't try to build this package on s390x
* Tue Dec 10 2013 sndirsch@suse.com
- change Requires for xf86-input-joystick to a Recommends, since
  we no longer support it on sle12 (FATE#316785)
* Wed May 30 2012 sndirsch@suse.com
- change Requires for xf86-input-vmmouse to a Recommends, since it
  is only built on x86/x64 platforms
* Wed Apr 18 2012 vuntz@opensuse.org
- Split drivers in their own source packages: xf86-input-evdev
  xf86-input-joystick xf86-input-keyboard xf86-input-mouse
  xf86-input-synaptics xf86-input-vmmouse xf86-input-void
  xf86-input-wacom
- Drop drivers that are unmaintained upstream, and apparently only
  useful to a handful of people (we can always resurrect them as
  new packages if needed): xf86-input-acecad xf86-input-aiptek
  xf86-input-elographics xf86-input-fpit xf86-input-hyperpen
  xf86-input-mutouch xf86-input-penmount
- Bump version to 7.6_1 since the split packages have a Conflicts
  with xorg-x11-driver-input <= 7.6.
- Add Provides/Obsoletes to the main subpackage, for the now
  removed devel subpackage, to smooth upgrades.
- Add a README.meta file to explain the goal of this compatibility
  metapackage.
* Wed Apr 18 2012 vuntz@opensuse.org
- Drop jamstudio driver:
  + It is marked as deactivated in xorg-docs' MAINTAINERS.
  + Remove xf86-input-jamstudio-1.2.0.tar.bz2 and
    xf86-input-jamstudio.diff.
* Thu Feb  9 2012 sndirsch@suse.com
- fixed buildreqs due to splitted xorg-x11-libs
* Mon Jan  2 2012 poletti.marco@gmail.com
- xf86-input-wacom 12.0
  * Add ToolSerials option for hotplugging pens.
  * Default to touch tool for multi-touch devices.
  * Allow 'MapToOutput' to accept X geometry strings.
  * xsetwacom: Support MapToOutput for TwinView.
  * Use xf86PostButtonEventP for held button action releases.
  * Other improvements and fixes.
* Wed Oct 19 2011 tiwai@suse.de
- Fix clickpad behavior with two-finger scrolling enabled
* Thu Oct  6 2011 tiwai@suse.de
- Resurrect synaptics patches
- Removed obsoleted patches:
  U_xf86-input-synaptics_...handlin.patch: already in upstream,
  xf86-input-synaptics-64bit-fix.diff: no longer needed
* Sun Sep 11 2011 sndirsch@suse.com
- set INPUT_ABI_VERSION = 12
* Wed Sep  7 2011 sndirsch@suse.com
- xf86-input-vmmouse-12.7.0
  * The 12.7.0 release is a stable release that provides support
    for input ABI major version 12 which is required by X server
    releases > 1.9
* Wed Sep  7 2011 sndirsch@suse.com
- driver updates required for new input ABI 12
  * xf86-input-acecad 1.5.0
  * xf86-input-aiptek 1.4.1
  * xf86-input-elographics 1.3.0
  * xf86-input-fpit 1.4.0 (obsoletes xf86-input-fpit.diff)
  * xf86-input-hyperpen 1.4.1 (obsoletes xf86-input-hyperpen.diff)
  * xf86-input-joystick 1.6.0
  * xf86-input-keyboard 1.6.0
  * xf86-input-mouse 1.7.1
  * xf86-input-mutouch 1.3.0 (obsoletes xf86-input-mutouch.diff)
  * xf86-input-penmount 1.5.0
  * xf86-input-synaptics-1.5.0
  * xf86-input-void 1.4.0
- disabled Takashi's synaptics driver patches for now
- removed xf86-input-wacom-no-n-trig.diff (bnc #686498, comment #18)
* Thu Sep  1 2011 sndirsch@suse.com
- U_xf86-input-synaptics_Drain-XRecord-connection-of-any-events-after-handlin.patch
  * It happened from time to time that syndaemon takes 100%% of the
    CPU. The patch fixes that issue. (bnc #710864)
* Fri Jul 15 2011 munix9@googlemail.com
- updated to xf86-input-wacom 0.11.1
  * Just a few minor patches on top of 0.11, most notably the
    cw/ccw rotation swap and the addition of 0xE6 tablet devices
    to the list of known devices.
* Fri May  6 2011 sndirsch@novell.com
- xf86-input-wacom-no-n-trig.diff
  * stylus doesn't work on N-Trig; better rely on evdev driver
    (bnc #686498)
* Wed Mar 23 2011 sndirsch@novell.com
- 11-mouse.conf
  * support buttons 6+7 (sideways tilted scroll wheel) on the
    "Logitech Easy Optical Mouse RX250" (bnc #681503)
* Mon Feb 14 2011 sndirsch@novell.com
- 11-mouse.conf
  * enabled "Emulate3Buttons" on two button mice touchpads detected
    as "ImPS/2 Generic Wheel Mouse" (bnc #671776)
* Thu Feb  3 2011 sndirsch@novell.com
- 11-mouse.conf
  * enabled "Emulate3Buttons" on generic trackpoints (bnc #668842)
* Tue Jan 11 2011 sndirsch@novell.com
- xf86-input-evdev 2.6.0
  * Print out error messages when failing to init devices
* Wed Jan  5 2011 sndirsch@novell.com
- xf86-input-evdev 2.5.99.903 (2.6 RC3)
  This should have been the 2.6 release but we found a nasty
  crasher bug late last year (#32480).
  * Fix grammar typo in comment.
  * Rename proximity to in_proximity.
  * Revert "Don't count BTN_TOUCH as tool. (#29428)"
  * Add use_proximity bit for BTN_TOOL handling.
  * Don't update first_val and num_val if we don't have data (#32480)
  * evdev 2.5.99.903
  * evdev: rename EvdevCacheCompare() to EvdevCache()
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Wed Dec  8 2010 sndirsch@novell.com
- xf86-input-vmmouse 12.6.99.901
  * This is RC1 for upcoming 1.7.0.0. This is not a stable release
    and not suitable for stable distro inclusion. It adds support
    for Input ABI 12.
* Wed Dec  8 2010 sndirsch@novell.com
- xf86-input-evdev 2.5.99.902 (2.6 RC2)
  * Only one minor fix since RC1. In xorg.conf static configurations,
    a wrong error code would prevent the server from loading
    additional devices if a device couldn't be opened. This is fixed
    now and only happens when we're out of memory (as intended).
* Mon Nov 22 2010 sndirsch@novell.com
- xf86-input-evdev 2.5.99.901 (2.6 RC1)
  * This release has some improved tablet handling, notably for
    tablets that send coordinates while still being out-of-proximity.
    Proximity support itself has been added to evdev as well,
    devices that support it will get DevicePresence events (note that
    proximity is not exposed as an axis for XI2, there are some
    design questions that need to be clarified first).
    The button mapping code was changed to support styli. Note that
    this rearranges the mappings for buttons past the first 3, so far
    we haven't seen any side-effects.
* Mon Nov  8 2010 sndirsch@novell.com
- merged xf86-input-vmmouse-iopl.diff/
  xf86-input-vmmouse-iopl-driver.diff and removed fprintfs
* Sun Nov  7 2010 sndirsch@novell.com
- xf86-input-vmmouse-iopl-driver.diff
  * Use fprintf(...) instead of VMwareLog((...)) for debug messages.
* Sun Nov  7 2010 sndirsch@novell.com
- xf86-input-vmmouse-iopl-driver.diff
  * switch to I/O privilege level 3 also for the driver itself
    (bnc #625041)
* Sat Oct 30 2010 sndirsch@novell.com
- xf86-input-keyboard 1.5.0
  * This release improves compatibility with current and future X
    servers, and removes calls to deprecated and/or ununsed
    functionality.
- xf86-input-void 1.3.1
  * This minor maintenance release improves compatibility with
    future Xorg server releases and also includes the usual recent
    collection of build configuration improvements and janitorial
    cleanups.
* Thu Sep  9 2010 aj@suse.de
- Split up devel project.
* Thu Sep  9 2010 sndirsch@novell.com
- xf86-input-mouse 1.6.0
  * This update to the mouse driver used mainly on non-Linux
    systems adds Xorg 1.9 ABI support to the Solaris-specific
    code, Genius NetScroll+ serial autodetection, and a number
    of minor bug fixes and a large number of cleanups &
    configuration improvements.
* Wed Sep  1 2010 tiwai@suse.de
- revived synaptics clickpad and LED patches
- fix / improve synaptics clickpad device handling (bnc#620000)
- fix right/middle-button capabilities for synaptics (bnc#620328)
- fix 64bit incompatibility in synaptics
- refreshed patches in synaptics
- disable unnecessary serial-retry patch for synaptics; this can
  be rather problematic on some machines
- add filter-bogus-packet patch to make clickpad on some laptops
  somehow usable (still pretty bad performance without the pending
  multi-touch patch!) (bnc#624356)
* Wed Sep  1 2010 sndirsch@suse.de
- xf86-input-synaptics 1.3.0
  * Just one more patch on top of the RC, a man page correction
    that I should have pushed earlier. Other than that, the driver
    looks reasonably stable and good enough to be pushed out.
* Sun Aug 29 2010 sndirsch@suse.de
- xf86-input-synaptics-xorg.conf.d_snippet.diff
  * obsoletes 20-synaptics.conf
* Sun Aug 29 2010 sndirsch@suse.de
- xf86-input-aiptek 1.3.1
- xf86-input-elographics 1.2.4
  * A long overdue update of the elographics drivers that includes
    the build fixes for the new input APIs in use since server 1.7.
    These fixes have been on the master branch for quite a while,
    but no release has followed them.
- xf86-input-evdev 2.5.0
  * No particularly exciting commits went in since the 2.4.0, evdev
    is quite stable and boring - as it should be. So we have a few
    memory leak fixes, man page updates, build system fixes and
    other misc stuff. The only really new behaviour: middle mouse
    button emulation is off by default.
- xf86-input-synaptics 1.2.99.901
  * We've seen a lot of autotool cleanups and they constitute a
    large part of the changes. This also means we require
    util-macros 1.8. Some general fixes, the most important of
    which have found their way into the 1.2.x stable releases.
  * The most visible feature change is the new pointer accel
    mechanism. Since the server got its new accel methods,
    synaptics was accelerated twice - once in the driver, once
    in the server. This lead to a really fast and sometimes
    confusing pointer behaviour.  This is fixed now but it does
    lead to a slower pointer. We'll be trying to find some middle
    ground there, possibly following the motto of "one size
    doesn't quite fit anyone".
  * The driver installs the xorg.conf.d snippet as well, assigning
    itself to all touchpads by default. At this point I'd like to
    point out again that "synaptics" is merely a historical name.
    Under Linux, this is the generic touchpad driver for all
    touchpads that are supported by the kernel.
  * the default speed has been increased again after quite a few
    complaints that the speed was too slow.
  * the driver now defaults to two-finger emulation on if a valid
    width is reported by the kernel.
  * coasting is now enabled by default, using a friction parameter
    to stop coasting after a bit.
- xf86-input-vmmouse 12.6.10
- obsoletes patches
  * xf86-input-elographics.diff
- adjusted patches
  * xf86-input-synaptics-retry-serial-open.diff
  * xf86-input-synaptics-settings.diff
  * xf86-input-synaptics-wait.diff
- disabled clickpad patches for now
  * xf86-input-synaptics-add-clickpad-support
  * xf86-input-synaptics-add-led-support
  * xf86-input-synaptics-clickpad_blacklist_appletouch
* Mon Aug 23 2010 sndirsch@suse.de
- always use '--with-xorg-conf-dir=/etc/X11/xorg.conf.d/' configure
  option
- set INPUT_ABI_VERSION = 11
* Thu Aug 19 2010 sndirsch@novell.com
- xf86-input-wacom-0.10.8
- obsoletes extra source 20-wacom.conf
* Wed Jun 23 2010 sndirsch@suse.de
- added udev rule for serial wacom tablets; added inputclass
  section for serial wacom tablets (bnc #444641)
* Fri Jun  4 2010 sndirsch@suse.de
- xf86-input-vmmouse-iopl.diff (reverse applied)
  * readd iopl(3) call (bnc #604966)
* Fri Apr 23 2010 ro@suse.de
- drop 00-evdev.conf (now in xorg-x11-server)
* Fri Apr 23 2010 ro@suse.de
- update last patch with fix from takashi: check priv->has_double
  (set on appletouch but not on clickpad devices)
* Thu Apr 22 2010 ro@suse.de
- blacklist appletouch for synaptics clickpad support
* Wed Apr 21 2010 tiwai@suse.de
- xf86-input-synaptics-add-clickpad-support,
  xf86-input-synaptics-add-led-support: Add Clickpad support
* Fri Apr 16 2010 sndirsch@suse.de
- 11-mouse.conf
  * fixed matching rules for IBM TPPS/2 TrackPoint, i.e. removed
    MatchVendor line; added XAxisMapping (bnc #597214)
* Sat Apr 10 2010 sndirsch@suse.de
- xf86-input-evdev 2.4.0
  * bugfixes
  * new behaviours/features
  - no reopen attempts anymore. The reopen mechanism was mainly
    a feature to work around older kernels that would return
    ENODEV on the first read (but not during DEVICE_ON). I
    haven't seen this in a long time now, suggesting that the
    feature was simply dead weight now.
  - A number of build system cleanups that have been applied to
    most other modules too.
  - Touch screens disable mouse button emulation by default.
  - keycodes > 255 are now forwarded. The server doesn't do
    anything with them, but at least we can claim the
    evdev-driver is ready for the future with flying donkeys
    and whatnot.
  - Absolute devices can now change mode between relative
    and absolute, and they may employ wheel emulation too.
- xf86-input-wacom-0.10.5
  * Many of the patches are cleanup, rearraging and restructuring
    the code to streamline both the code and the driver itself. A
    bunch of misc. fixes all over the place.
    Chris has been working hard on getting the Bamboo support
    improved, with a number of the changes ported from linuxwacom.
    That's not quite there yet (you also need some kernel changes)
    but we're certainly on our way.
- xf86-input-penmount 1.4.1
- obsoletes xf86-input-penmount.diff
* Sat Apr 10 2010 sndirsch@suse.de
- xf86-input-vmmouse 12.6.9
- obsoletes extra files 10-vmmouse.conf, 69-xorg-vmmouse.rules
- renamed wait.diff to xf86-input-synaptics-wait.diff
- renamed synaptics-retry-serial-open.diff to
  xf86-input-synaptics-retry-serial-open.diff
- more specfile cleanup
* Sat Apr 10 2010 sndirsch@suse.de
- cleanup
  * removed no longer built old evdev driver 1.1.5 + patches
  * removed p_mouse_misc.diff due to XFree86-Misc extension no
    longer available anyway
* Thu Apr  8 2010 sndirsch@suse.de
- removed obsolete 10-quirks.conf
* Wed Apr  7 2010 ro@suse.de
- also blacklist applesmc accelerometer in 10-quirks.conf
* Fri Apr  2 2010 sndirsch@suse.de
- bumped version number to 7.5
* Thu Apr  1 2010 sndirsch@suse.de
- use options '--subsystem-match=input --action=change' for
  udevadmin trigger (bnc #592193)
* Thu Apr  1 2010 sndirsch@suse.de
- re-plug the input devices via 'udevadm trigger' in %%post(un)
* Wed Mar 31 2010 sndirsch@suse.de
- added udev support for vmmouse driver (bnc #592193)
* Mon Mar 29 2010 sndirsch@suse.de
- xf86-input-vmmouse 12.6.7
  * Symbol was removed from the xorg-server 1.7 (bnc #574857)
* Fri Mar 26 2010 sndirsch@suse.de
- 20-synaptics.conf
  * match *any* touchpad
  * removed "LeftEdge" option; value needs to be be autodetected!
  * "SHMConfig" option no longer required due to new Device
    Properties of synaptics driver
* Fri Mar 26 2010 sndirsch@suse.de
- xf86-input-synaptics 1.2.2
  * Don't clobber the timer we just created.
  * After closing the fd, reset it to -1.
- adjusted synaptics-retry-serial-open.diff
* Tue Mar 23 2010 ro@suse.de
- 20-synaptics.conf: only run for /dev/input/event*
  (largely speed up xserver start)
* Fri Mar 19 2010 ro@suse.de
- removed hal fdi files and added xorg-conf snippets for
  input devices
  - 00-evdev.conf: basic evdev catchall (from fedora)
  - 10-quirks.conf: do not use accelerometer as mouse (from fedora)
  - 11-mouse.conf: translated version of 11-mouse.fdi
  - 20-synaptics.conf: translated version of 11-x11-synaptics.fdi
  - 20-wacom.conf: version of wacom.fdi
* Thu Mar 18 2010 ro@suse.de
- change INPUT_ABI_VERSION to 9
* Mon Feb  8 2010 mhopf@novell.com
- synaptics-retry-serial-open.diff:
  Increase number of reconnect tries after S3/S4.
  Don't retry unless it had been successful at least once, though.
  (bnc #573644,569340,573642)
* Wed Feb  3 2010 mhopf@novell.com
- synaptics-retry-serial-open.diff completely reworked:
  Reprobe /dev/input/event* devices always upon DeviceOn,
  check for race with kernel reassigning devices.
  (bnc #573644,569340,573642)
* Mon Feb  1 2010 mhopf@novell.com
- synaptics-retry-serial-open.diff by Takashi:
  Wait for synaptics device to settle upon DeviceOn
  (bnc #573644,569340,573642)
* Tue Jan 19 2010 sndirsch@suse.de
- xf86-input-wacom 0.10.4
* Sat Jan 16 2010 sndirsch@suse.de
- driver updates
  * xf86-input-acecad-1.4.0
  * xf86-input-aiptek-1.3.0
  * xf86-input-joystick-1.4.1
  * xf86-input-keyboard-1.4.0
  * xf86-input-mouse-1.5.0
  * xf86-input-void-1.3.0
  * xf86-input-synaptics-1.2.1
  * xf86-input-evdev-2.3.2
- adjusted wait.diff
- removed no longer maintained drivers
  * xf86-input-calcomp
  * xf86-input-citron
  * xf86-input-digitaledge
  * xf86-input-dmc
  * xf86-input-dynapro
  * xf86-input-elo2300
  * xf86-input-magellan
  * xf86-input-magictouch
  * xf86-input-microtouch
  * xf86-input-palmax
  * xf86-input-spaceorb
  * xf86-input-summa
  * xf86-input-tek4957
  * xf86-input-ur98
- added xf86-input-wacom (0.10.3)
- provide/obsolete x11-input-wacom{,-devel,-tools}
- driver package now requires VIDEO_ABI_VERSION = 7
* Sat Dec 19 2009 sndirsch@suse.de
- xf86-input-evdev-commit-c1f16a4.diff
  * Set all valuators for relative motion events (bfo #24737,
    bnc #566264)
* Fri Nov 20 2009 sndirsch@suse.de
- xf86-input-synaptics-settings.diff
  * disable TapButtons again (bnc #554884)
* Sat Nov 14 2009 sndirsch@suse.de
- regenerated xf86-input-synaptics-settings.diff, wait.diff
* Sun Nov  1 2009 sndirsch@suse.de
- 11-mouse.fdi: disabled horizontal wheel scrolling (XAxisMapping)
  on IBM Trackpoint (bnc #550164)
* Wed Sep 23 2009 sndirsch@suse.de
- simplified 11-x11-synaptics.fdi (bnc #540591)
* Fri Sep  4 2009 sndirsch@suse.de
- 11-x11-synaptics.fdi:
  * register synaptics driver for 'ETPS/2 Elantech Touchpad'
    (bnc #525607)
* Fri Aug 21 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.5
  * Only take the driver-internal button mapping to count buttons
    (bfo #23405)
* Fri Aug  7 2009 sndirsch@suse.de
- xf86-input-vmmouse 12.6.5
  * Compile with INPUT ABI 7.
  * Remove ModuleInfoRec and associated bits.
  * Needed by newer X servers, otherwise the module data is
    invisible and a dlopen error occurs.
  * Turn off built-in fallback-to-mouse-driver mechanism.
* Thu Aug  6 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.4
  * Fixing a regression introduced with 2.2.3. The fix to
    Bug #21832 in 2.2.3 prevented Alps touchpads from working
    with the evdev driver. These touchpads announce both
    relative and absolute axes, events from the latter get
    ignored with the fix to 21832. The fix special-cases
    touchpad initialization to give absolute axes precedence
    over relative if a touchpad or touchscreen is found. For
    more info see Bug #23126
* Mon Aug  3 2009 sndirsch@suse.de
- xf86-input-synaptics 1.1.3
  * A single patch addressing the loss of the right scrolling area
    on certain touchpads. This issue is caused by the driver
    auto-scaling the right edge but not respecting the proportions
    of the actual touchpad range. Please see the comments for Bug
    21001 for more details.
* Thu Jul 30 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.3
  * Long overdue, another release of evdev 2.2. Expect this to be
    the last 2.2 release unless some grave issues are discovered.
* Thu Jul  9 2009 sndirsch@suse.de
- 11-mouse.fdi
  * enable IBM trackpoint's "middle button" for scrolling
    (bnc #520016)
* Thu May 28 2009 sndirsch@novell.com
- xf86-input-synaptics 1.1.2
  * One patch that should have made it into 1.1.1 but didn't.
    Jeremy's patch adds model-specific edges for appletouch
    touchpads in the same fashion as we already do for ALPS
    and synaptics pads.
* Thu May 21 2009 sndirsch@suse.de
- xf86-input-synaptics 1.1.0
  * avoiding allocations during the signal handler.
  * several 64 bit property issues with synclient
  * The driver tries to detect the touchpad model and adjusts the
    edge values accordingly. This addresses issues where edge
    scrolling appeared to be broken on certain touchpad models
    (ALPS, appletouch) due to incorrect RightEdge values.
* Tue May 12 2009 sndirsch@suse.de
- xf86-input-vmmouse 12.6.4
  * Fix bug where motion notify events were being sent with every
    button event.
* Wed May  6 2009 sndirsch@suse.de
- added 'Supplements: xorg-x11-server'
* Thu Apr 30 2009 sndirsch@suse.de
- instead of providing do require INPUT_ABI_VERSION to fix
  dependancy loop
* Thu Apr 30 2009 sndirsch@suse.de
- require xkeyboard-config >= 1.5
- provide INPUT_ABI_VERSION = 4 (required by xorg-x11-server)
* Thu Apr 30 2009 sndirsch@novell.com
- xf86-input-evdev-2.2.2
  * Three fixes to avoid deadlocks, two of which caused by allocs
    during SIGIO handling.
* Wed Apr 29 2009 sndirsch@suse.de
- xf86-input-citron 2.2.2
- obsoletes xf86-input-citron.diff
* Wed Apr 15 2009 sndirsch@suse.de
- xf86-input-joystick 1.4.1
  * Incompatible with xorg-server master. Configure fails for
    xorg-server >= 1.6.99.
  * Some fresh float properties.
  * "PWM" mode for keygeneration when axis is set to accelerated.
* Wed Mar 25 2009 sndirsch@suse.de
- xf86-input-evdev 2.2.1
  * A set of fixes to make touchpads work nicely again. Fix to
    enable key repeat for server 1.5 + evdev 2.2.
* Fri Mar 20 2009 sndirsch@suse.de
- 11-mouse.fdi
  * HAL .fdi file for previous SaX2 mouse autoconfiguration
* Mon Mar  9 2009 sndirsch@suse.de
- xf86-input-synaptics 1.1.0
  * man: device properties are now supported, should be stated as
    such. This includes listing supported properties and
    de-emphasizing the need for SHM.
  * man: remove some pointless ( and ) around "float" options.
- xf86-input-evdev 2.2.0
  * Fix duplicate wheel button up mapping.
  * Check button label before fetching the Atom from the server
    (bfo #20524)
  * Define MAX_VALUATORS if it's missing to allow for builds
    against 1.5.
- no longer exclude vmmmouse HAL files
* Sun Mar  8 2009 sndirsch@suse.de
- added synaptics .fdi file for HAL configuration support
* Thu Mar  5 2009 sndirsch@suse.de
- xf86-input-synaptics 1.0.99.4
  * 1.0.99.3 crashes on 64 bit machines. This is caused by
    different struct sizes in the server and the driver,
    due to a missing #define. Fixed now, please test.
* Wed Mar  4 2009 sndirsch@suse.de
- xf86-input-synaptics 1.0.99.3
  * Another snapshot before the release since a number of fixes
    went into this one. Most notably, syndaemon updated to use
    device properties by default. And a fix that caused synclient
    with properties to fail on 64-bit machines.
* Mon Mar  2 2009 sndirsch@suse.de
- xf86-input-evdev 2.1.99.1
* Fri Feb 27 2009 sndirsch@suse.de
- xf86-input-synaptics 1.0.99.2
- evdev 2.1.3
- fixed build for various drivers
- xf86-input-synaptics-settings.diff
  * enables tapping
  * enables vertical scrolling
  * fixed typo (vertScrollDelta <--> horizScrollDelta)
* Fri Feb 27 2009 sndirsch@suse.de
- xf86-input-hyperpen 1.3.0
* Thu Feb 26 2009 sndirsch@suse.de
- xf86-input-mouse 1.4.0
- adjusted p_mouse_misc.diff
* Thu Feb 26 2009 sndirsch@suse.de
- xf86-input-acecad 1.3.0
- xf86-input-aiptek 1.2.0
- xf86-input-elographics 1.2.3
- xf86-input-fpit 1.3.0
- xf86-input-joystick-1.4.0
- xf86-input-keyboard 1.3.2
  * obsoletes zap_warning_kbd.diff
- xf86-input-penmount 1.4.0
- xf86-input-synaptics 1.0.0
  * obsoletes commit-3097bb3.diff
- xf86-input-vmmouse 12.6.3
- xf86-input-void 1.2.0
* Tue Feb 24 2009 sndirsch@suse.de
- added synaptics driver; added provides/obsolete for
  x11-input-synaptics
* Wed Jan 14 2009 mhopf@suse.de
- xf86-input-evdev-sig11-bug437651.diff
  Fix evdev segfault (bnc #437651)
* Mon Dec 22 2008 ro@suse.de
- add excludearch s390 s390x
* Fri Nov 21 2008 sndirsch@suse.de
- xf86-input-evdev-btn-touch.diff
  * remap touchscreen BTN_TOUCH events to button 0 (left mouse
    button) (bnc #447687)
* Tue Nov 18 2008 sndirsch@suse.de
- xf86-input-vmmouse 12.6.2 (bnc #445787)
  * fixes bnc #439664
  * obsoletes xf86-input-vmmouse.diff
* Thu Nov 13 2008 sndirsch@suse.de
- xf86-input-evdev-xf86DeleteInput.diff
  * This solves the double calling of xf86DeleteInput when
    cleaning up. Double freeing the same pointer twice makes the
    kernel SIGABRT us, killing the X server uglily. (Luc Verhaegen)
* Tue Oct 28 2008 sndirsch@suse.de
- back to xf86-input-vmmouse 12.5.1 (bnc #439664)
* Sat Oct 18 2008 sndirsch@suse.de
- xf86-input-vmmouse 12.5.2
  * Remove useless call to xf86AddModuleInfo
  * Properly set axis range and resolution for Server 1.5+
  * Change ZAxisMapping default to match main mouse driver.
- removed xf86-input-vmmouse-grab.diff (bnc #428203)
* Wed Oct 15 2008 sndirsch@suse.de
- xf86-input-microtouch-1.2.0-commit-81435d3.diff
  * update to git commit 81435d3 (bnc #357800)
  - Check for XINPUT ABI 3.
  - Remove libc wrapper functions.
* Thu Oct  9 2008 sndirsch@suse.de
- xf86-input-elo2300-1.1.2-commit-cc77936.diff
  * update to git commit cc77936 (bnc #418637)
  - Check for XINPUT ABI 3
- xf86-input-elographics-1.2.2-commit-bf0e1bf.diff
  * update to git commit bf0e1bf (bnc #418637)
  - WaitForInput before trying to xf86EloGetPacket. (bfo #14109)
    Followup to 72408c2404246b9cb4698bd45be439be8ced3c23. This
    patch isn't perfect yet, usage of O_NONBLOCK would be
    preferred and some better error handling for incomplete
    packages, but at least it's less broken than without this
    patch.
  - Remove trailing whitespaces.
  - Remove XFREE_V4 define and all code that expects it to be
    unset. If you're still not running something more recent
    than X11 3, then you have other issues anyway.
  - Remove RCS tags.
  - Don't convert coordinates for servers 1.4 and above. These
    servers do the coordinate conversion themselves, so no need
    to do it in the driver.
  - Fix build, xf86Version.h -> xorgVersion.h
* Thu Oct  2 2008 sndirsch@suse.de
- xf86-input-mutouch 1.2.1
  * "mutouch 1.2.0 has issues with the current X server as it does
    not handle inverted axes (or handles them as inverted even
    when they aren't). This is fixed now, and I have anecdotal
    evidence that it even works."
* Mon Sep 29 2008 sndirsch@suse.de
- xf86-input-vmmouse-grab.diff
  * Grab mouse from kernel if possible. Avoids mouse event
    duplication if a mouse driver is sitting on /dev/input/mice
    on Linux. (bnc #428203)
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Mon Sep  8 2008 sndirsch@suse.de
- xf86-input-joystick 1.3.3
  * Fix check for BSD dev/usb/usbhid.h (needs dev/usb/usb.h).
  * Check for XINPUT ABI 3
  * Fix build. xf86Version.h -> xorgVersion.h
  * Added more examples for the x11_options properties of xorg-server-1.5
  * Remove stale comment
  * Adding empty ctrlProc to prevent crashing of X when running without XKB
  * Remove duplicated code in jstkInitKeys
  * Update man page concerning custom driver options through hal
* Mon Aug 11 2008 sndirsch@suse.de
- xf86-input-evdev-sig11-bug416043.diff
  * fixes occasional crashes when evdev is used as kbd driver
    (bnc #416043)
* Mon Aug  4 2008 sndirsch@suse.de
- updated fpit driver to git commit e8620e9
  * Check for XINPUT ABI 3; possibly addresses bnc #381278
- obsoletes xf86-input-fpit-commmit-95676d8.diff
* Wed Jul 30 2008 sndirsch@suse.de
- xf86-input-vmmouse.diff
  * make sure to call conversion_proc from within the driver, as
    Xserver no longer does
* Thu Jul  3 2008 sndirsch@suse.de
- updated xf86-input-magictouch to git commit 7f90f6a; required for
  xorg-server 1.5
* Wed Jun 25 2008 sndirsch@suse.de
- xf86-input-diamondtouch 0.3.0
  * "This driver is not part of the X.Org distribution. In the
    process of tying up loose ends, the DiamondTouch driver has
    been updated to compile against the current X server. The
    now-deprecated blob code has been disabled (albeit not removed).
    The driver now supports multi-device hotplugging through the
    option "NumDevices". This enables users to let the DT be
    hotplugged through HAL, but still create up to 4 devices in
    the X server to represent the required number of users."
* Fri Jun 13 2008 sndirsch@suse.de
- xf86-input-elographics 1.2.2
  * Check for XINPUT ABI 3.
* Fri May 23 2008 sndirsch@suse.de
- xf86-input-vmmouse 12.5.1
  * Compatibility with older versions of X
  * Don't call conversion_proc for older Xservers
* Thu May 22 2008 sndirsch@suse.de
- xf86-input-elo2300 1.1.2
  * Don't call xf86AddLocalDevice and xf86XInputSetSendCoreEvents.
  * Don't call xf86GetErrno(), instead use errno directly.
- xf86-input-elographics 1.2.1
  * Don't divide by zero. #14902
- xf86-input-keyboard 1.3.1
  * Don't send events in DEVICE_INIT, only after DEVICE_ON.
* Wed May 14 2008 sndirsch@suse.de
- specfile cleanup (Petr Mladek)
* Thu May  1 2008 sndirsch@suse.de
- xf86-input-fpit-commmit-95676d8.diff (possibly fixes bnc #381278)
  * Revert "Don't call xf86IsCorePointer." This reverts commit
    9ea880913d5775454311b0257bbaebf773cd4285.
  * Don't crash with xserver 1.4. xf86IsCorePointer() is gone.
  * Set is_core_pointer to 0 by default. Server 1.4 does not do
    physical core devices.
* Mon Apr 28 2008 sndirsch@suse.de
- xf86-input-joystick 1.3.2
  * Makefile.am: nuke RCS Id
  * Typo in man page
  * Increased default deadzone from 1000 to 5000
  * Added "StartMouseEnabled" and "StartKeysEnabled" options
  * Allow '+' as separator for key mapping as in "key=Alt_L+Tab"
  * Fixed off-by-one in keymap generation code
  * Clear complete keymap instead of only the first element
  * Fixed keymap rage to 8..255 to prevent crash in xorg-server-1.4
- specfile cleanup
* Sat Apr 19 2008 sndirsch@suse.de
- xf86-input-evdev-commit-eeb3727.diff
  * Don't flush buttons on init (bfo #12630, bnc #381543)
* Sat Mar 22 2008 sndirsch@suse.de
- xf86-input-calcomp 1.1.2
  xf86-input-digitaledge 1.1.1
  xf86-input-dmc 1.1.2
  xf86-input-dynapro 1.1.2
  xf86-input-elographics 1.2.0
  xf86-input-fpit 1.2.0
  xf86-input-hyperpen 1.2.0
  xf86-input-jamstudio 1.2.0
  xf86-input-keyboard 1.3.0
  xf86-input-magellan 1.2.0
  xf86-input-microtouch 1.2.0
  xf86-input-mouse 1.3.0
  xf86-input-mutouch 1.2.0
  xf86-input-palmax 1.2.0
  xf86-input-penmount 1.3.0
  xf86-input-summa 1.2.0
  xf86-input-tek4957 1.2.0
  xf86-input-vmmouse 12.5.0
  * changes required for upcoming Xserver 1.5
  * obsoletes p_kbd.diff, xf86-input-fpit-update1.diff,
    xf86-input-fpit-update2.diff, xf86-input-calcomp.diff
* Thu Mar 20 2008 sndirsch@suse.de
- zap_warning_kbd.diff
  * fix to stop kbd from attempting to terminate the xserver for
    the first and third time from the same event (FATE #302988,
    Luc Verhaegen)
* Sun Feb 10 2008 sndirsch@suse.de
- xf86-input-acecad 1.2.2
  * don't crash when xf86IsCorePointer is not defined
  * do our own scaling with USB device since it's not done in the
    kernel and ConverProc() isn't called automatically by X
  * set type_name to XI_TABLET
  * fake device limits == screen limits in xserver 1.4 for xinput
  * improve handling of botched input versions
  * fix blotchy input in Inkscape and the Gimp by not pretending
    to be the core pointer by default
* Fri Feb  8 2008 sndirsch@suse.de
- xf86-input-evdev-max_fixes.diff:
  * array indices off by 1 (bnc#359899)
* Fri Dec  7 2007 sndirsch@suse.de
- xf86-input-joystick 1.3.1
  * This release adds support for evdev devices (/dev/input/event*)
    but if this fails, the linux joystick interface is tried and,
    if available, the bsd usbhid interface (so in FreeBSD the linux
    joystick interface can be used now with the same binary). The
    evdev backend makes it possible to hotplug the joystick driver
    from hal; an example policy file is included in the tarball.
    Use with care.
* Fri Nov  2 2007 sndirsch@suse.de
- xf86-input-evdev.diff
  * rename Name/vendor options to eName/evendor (Bug #337822)
* Mon Oct 29 2007 sndirsch@suse.de
- xf86-input-joystick 1.3.0
  * xorg-server-1.4 with fixed input breaks key event generating in
    the 1.2 series resulting in crashing the xorg-server. This is
    fixed in the 1.3 series of the module but does not work with
    older versions of xorg-server.
  * Raised dependency of xorg-server to at least 1.3.99.901! Use
    1.2 series of the module for xorg-server < 1.3.99.901.
  * WARNING: Semantic of xorg.conf option changed: keys are no
    longer defined as scancodes but KeySyms (either number or
    symbolic name defined in /usr/include/X11/keysymdef.h). Refer
    to man joystick for more details.
  * Added AutoRepeat option to specify rate and delay for key
    events, independend of other keyboards.
* Wed Oct  3 2007 sndirsch@suse.de
- xf86-input-mouse 1.2.3
  * Bug #11089: xf86-input-mouse COPYING file
  * Bug #12145: Don't confine the pointer to one screen in zaphod
    mode.
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Sat Sep 29 2007 sndirsch@suse.de
- xf86-input-vmmouse 12.4.3
  * updates to reflect the latest input ABI changes
  * adds an embedded version string in a .modinfo segment (when
    compiled with gcc) that can be read by the linux kernel
    'modinfo' tool.
  * fixes a global symbol collision with the svga driver
- xf86-input-evdev 1.1.5
  * input-hotplug support
* Thu Sep 20 2007 sndirsch@suse.de
- xf86-input-calcomp.diff
  * out of bounds warning (Bug #326967)
* Tue Sep 11 2007 sndirsch@suse.de
- xf86-input-elo2300 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-magellan 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-microtouch 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-penmount 1.2.1
  * Compatibility release for inputproto 1.4
- xf86-input-spaceorb 1.1.1
  * Compatibility release for inputproto 1.4
* Mon Sep 10 2007 sndirsch@suse.de
- xf86-input-citron 2.2.1
  * Compatibility release for inputproto 1.4
- xf86-input-calcomp 1.1.1
  * Compatibility release for inputproto 1.4
- xf86-input-dynapro 1.1.1
  * Compatibility release for inputproto 1.4
* Sat Sep  8 2007 sndirsch@suse.de
- xf86-input-void 1.1.1
  * A quick xserver-1.4 compatibility release
* Thu Sep  6 2007 sndirsch@suse.de
- xf86-input-keyboard 1.2.2
  * This release fixes the driver for the new input-hotplug support
    in xserver 1.4.  The two interim releases (1.2.0 and 1.2.1)
    never got tagged and released, so this is the next version after
    1.1.1.
  * obsoletes xf86-input-keyboard.diff
- xf86-input-acecad 1.2.1
  * This release fixes the build with xserver 1.4.
- xf86-input-dmc 1.1.1
  * This release is a build fix for inputproto 1.4.
* Thu Aug 16 2007 sndirsch@suse.de
- updated to xf86-input-joystick to 1.2.3 release
  * Added section about valuators to manpage
  * Added hint about "SendCoreEvents" keyword to ServerLayout in
    manpage
  * Added "keylow" and "keyhigh" option to axes to generate key
    events when the axis is moved (i.e. to simulate arrow keys with
    a d-pad)
  * Key autorepeat added for axes with mode=relative and key
    mapping
  * Added example about mapping axes to keys to manpage
  * Store subpixel movement in axis struct instead of global
  * Fixed button mapping to an axis needing amplify value in
    xorg.conf
  * Added --enable-debug option to configure script (still default:
    enabled)
* Thu Aug  2 2007 sndirsch@suse.de
- updated xf86-input-mouse to 1.2.2 release
  * This release mainly fixes documentation bugs, and adds a
    "Sensitivity" option for high resolution mice.
* Mon Jul  9 2007 sndirsch@suse.de
- updated to xf86-input-joystick to 1.2.2 release
  * man page installs in section 4 instead of 4x
  * Additional valuator per axis reporting unmodified physical value to X
  * Makefile.am: Rule to autogenerate ChangeLog from git on make dist
  * Removed unnamed unions to compile again with gcc 2.95
  * Reporting correct amount of exported buttons to X
  * Added short note section to manpage
  * Removed abundant debugging messages that are no use for anybody
  * Button event is only generated when button actually changed
* Sun Apr 29 2007 sndirsch@suse.de
-  updated xf86-input-acecad to 1.2.0 release
  * Use autoconfigured package version if possible.
  * We always have config.h.
  * Uniformize messages.
  * Initial support for device autodetection.
  * Add autoconf check for linux/input.h
  * Add autogen.sh and autogenerate ChangeLog to dist
  * "Name" option to configure autodev detection string.
  * Device autodetection via sysfs.
  * Re-probe for device if DeviceOn fails and auto-dev is active.
  * Re-probe on device not found on input if auto-dev is active.
  * De-spammify AceCadAutoDevProbe().
  * Whitespace cleanup.
  * Add missing newlines in a couple of messages.
  * More coding style cleanups.
  * More whitespace cleanup.
  * Make acecadUSB into a flag.
  * Make acecadAutoDev into a flag.
  * NOTAVAIL macro to check if errno means device not available.
  * Keep track of device availability.
  * Centralize the success code for the probe routine.
  * More whitespace/coding style cleanups.
  * Simplify flag setup.
  * Bump to 1.2.0.
* Fri Apr 27 2007 sndirsch@suse.de
- updated xf86-input-acecad to 1.1.1 release
  * The main purpose of the update is to have the acecad input
    driver support 2.6.x kernels. Some initial cleanup is also done.
* Sat Apr 21 2007 sndirsch@suse.de
- updated joystick driver to release 1.2.1
  * jstkVersionRec: Use macros for module version. Fixes #10498
  * Check for Joystick API Version >=1 instead of >=2
  * Don't return NULL on jstCorePreInit fail, fixes X crash.
  * Fixed remaining opened filedescriptors, if ioctl fails
  * Fixed DEVICE_ON still returning Success on error opening
    device, resulting in a crash
  * Fixed wrong type in ioctl call for detecting buttons and axes
    resulting in endless loop on BSD with linux_js module
  * Typo in linux_jstk.c: Info about number of axes and buttons
    was interchanged
  * Fixed correct calculation of absolute axis position when
    centered
  * Added USB-HID backend for *BSD
  * Replaced xf86CheckXXXOption with xf86SetXXXOption, Fixed
    possible NULL pointer dereference in device remove
  * Wrapped enums and structs in typedefs
  * Fixed possible double close of device in case of error.
  * Considering JS_EVENT_INIT events as real events again
  * Fixed accelerated axis movement not working the first time
    after startup
* Tue Apr  3 2007 sndirsch@suse.de
- updated joystick driver to release 1.2.0:
  * Added man page
  * Moved to newer Joystick API: no more polling of the device
  * Support for up to 32 axes and 32 buttons
  * Smoother cursor movement
  * Joystick buttons can be freely mapped to
  - a mouse button
  - an axis direction
  - a series of keycodes to generate combinations of keystroke
    events
  - modify speed of other axis movements
  - disable the generation of mouse or key events
  * Axes can be freely mapped to: x, y, horizontal and vertical
    scrolling
  * Axes can be used in three modes: relative, accelerated,
    absolute
  * The deadzone and speed of every axis can be set
* Wed Mar 14 2007 sndirsch@suse.de
- updated joystick driver to release 1.1.1:
  * Bugfix release. Made the module work again after a long while
  * No features added. Improvements will follow in next releases
* Thu Mar  1 2007 sndirsch@suse.de
- xf86-input-fpit-update1.diff:
  * Make the docs reflect more accurately what the code actually
    does.
  * Update the docs: remove material specific to XFree86 3.x/4.0.
    Re-organize to reflect the wider variety of machines that
    use this device. Change the link to linuxslate.com. Expand
    troubleshooting section.
  * Code cleanup: assorted trivial changes.
- xf86-input-fpit-update2.diff:
  * Fix a bug that prevents active-pen users from right-clicking
    while hovering.
  * Bug was introduced with passive pen support; fix is simple and
    has been recommended in forums since Oct 2006
    (http://ubuntuforums.org/showpost.php?p=1620646&postcount=15).
    For some reason I don't see a bug report for the issue.
- xf86-input-fpit-update3.diff:
  * Adds support for detecting/responding to screen resize and
    rotate events (i.e., fixing bug 3421 for FPIT users). This
    corrects both cursor-related and extended events.
  * The fix is disabled unless the user adds 'Option "TrackRandR"'
    to the InputDevice section. This is to avoid breaking setups
    where some nightmarish workaround was already in place.
  * Use of RRGetRotation may break driver under XFree86. If this
    is a problem I think xf86GetRotation can be used instead.
* Wed Feb 28 2007 sndirsch@suse.de
- updated vmmouse driver to bugfix release 12.4.1:
  * Under certain circumstances, typically when the kernel PS/2
    driver decides to reset the PS/2 device, we can find ourselves
    in an inconsistent state between the vmmouse driver and the
    virtual hardware. When this is encountered, we should re-
    request absolute mode from the hardware to get back in sync.
* Thu Feb 22 2007 sndirsch@suse.de
- xf86-input-keyboard.diff:
  * fix key led update (Bug #103009 / X.Org Bug #313)
* Fri Feb 16 2007 sndirsch@suse.de
- downgraded evdev driver to release 1.1.3 (evdev >= 1.1.4 was
  not aimed for X.Org 7.2)
* Sun Dec 17 2006 sndirsch@suse.de
- updated evdev driver to release 1.1.5
  * Makefile.am: make ChangeLog hook safer
- updated aiptek sources to release 1.2 (X.Org Bug #5061)
* Tue Dec  5 2006 sndirsch@suse.de
- updated evdev driver to release 1.1.4
  * key: use os bell-ringing function. Use the OS bell-ringing
    function to ding the bell.
  * support new DIX motion history API. Use the DIX motion history
    if we have ABI version 1 or higher.
  * brain: call xf86DeleteInput when removing device. Call
    xf86DeleteInput from evdevRemoveDevice, so it also gets removed
    from xf86InputDevs in the DDX.
  * key: remove usage of OS keyboard layer for bell. Right now,
    bell is a no-op.
  * fix InitValuatorClassDeviceStruct call. "I don't know how the
    last parameter got there. Sorry."
  * pass maxval correctly to xf86InitValuatorAxisDeviceStruct.
    Pass a maxval of -1 (i.e., fill this in appropriately), rather
    than 0 (0).
  * pass number of axes to InitValuatorClassDeviceStruct. This is
    now required with the input-hotplug server.
  * prune device list on DEVICE_CLOSE. Remove a device from the
    device list when we get DEVICE_CLOSE.
  * remove XFree86LOADER usage. Build evdevModuleData, et al,
    unconditionally.
* Mon Nov 20 2006 sndirsch@suse.de
- moved mousedrv back to man4 directory (Bug #222582)
* Fri Nov 17 2006 sndirsch@suse.de
- mouse-readinput.diff:
  * fixed mouse driver crash (Bug #219946)
* Thu Oct 26 2006 sndirsch@suse.de
- evdev-overflow.diff:
  * fixed possible buffer overflow
* Sat Oct 14 2006 sndirsch@suse.de
- X.Org 7.2RC1 package update:
  * xf86-input-evdev-1.1.3
  * xf86-input-keyboard-1.1.1
  * /xf86-input-mouse-1.1.2
* Fri Sep  1 2006 sndirsch@suse.de
- removed Requires: xorg-x11-server, since xorg-x11-input-input is
  already required by xorg-x11-server, which resulted in a fatal
  dependancy cycle
* Sat Aug  5 2006 sndirsch@suse.de
- p_mouse_misc.diff:
  * patch to fix X server crashes with synaptics driver (Bug #61702)
- p_kbd.diff:
  * save us one second during Xserver start
* Thu Aug  3 2006 sndirsch@suse.de
- install mouse driver manual page to man4x subdirectory
* Mon Jul 31 2006 sndirsch@suse.de
- added splitprovides for mouse driver to make sure it gets
  installed during update
* Sat Jul 29 2006 sndirsch@suse.de
- fixed fatal compiler warnings
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Tue Jul 25 2006 sndirsch@suse.de
- fixed build on non-i386 archs
* Mon Jul 24 2006 sndirsch@suse.de
- disabled vmmouse input driver on non-i386 archs
* Tue Jun 27 2006 sndirsch@suse.de
- created package
